Uploaded image for project: 'Weld'
  1. Weld
  2. WELD-1857

Weld bundle should export org.jboss.weld.security package

    Details

    • Workaround Description:
      Hide

      Build a patched weld-osgi-bundle:
      1. Get the Weld source code, e.g.: git clone git@github.com:weld/core.git
      2. Checkout the version tag, e.g.: git checkout 2.2.9.Final
      3. Modify bundles/osgi/pom.xml file: add org.jboss.weld.security; on the line after org.jboss.weld.util;
      4. Build the bundle, e.g.: mvn clean package

      Attached is a modified bundle for GlassFish 4.1 users. This bundle also reflects the problem caused by WELD-1712.

      Show
      Build a patched weld-osgi-bundle: 1. Get the Weld source code, e.g.: git clone git@github.com:weld/core.git 2. Checkout the version tag, e.g.: git checkout 2.2.9.Final 3. Modify bundles/osgi/pom.xml file: add org.jboss.weld.security; on the line after org.jboss.weld.util; 4. Build the bundle, e.g.: mvn clean package Attached is a modified bundle for GlassFish 4.1 users. This bundle also reflects the problem caused by WELD-1712 .

      Description

      All proxies require access to this package from 2.2.6.Final. See also WELD-1751 and WELD-1828.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                mkouba Martin Kouba
                Reporter:
                mkouba Martin Kouba
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: